PdbMlParserHandler Class Reference

`#include <PdbMlParserHandler.h>`

Inheritance diagram for PdbMlParserHandler:
Collaboration diagram for PdbMlParserHandler:

## Public Member Functions

| PdbMlParserHandler (TableFile &tableFile)
| ~PdbMlParserHandler ()
void | startElement (const XMLCh *const uri, const XMLCh *const localname, const XMLCh *const qname, const Attributes &attrs)
void | endElement (const XMLCh *const uri, const XMLCh *const localname, const XMLCh *const qname)
void | characters (const XMLCh *const chars, const XMLSize_t length)
void | warning (const SAXParseException &exception)
void | error (const SAXParseException &exception)
void | fatalError (const SAXParseException &exception)
void | printState (const string &element)

## Constructor & Destructor Documentation

## PdbMlParserHandler()

PdbMlParserHandler::PdbMlParserHandler | ( | TableFile & | tableFile | ) |

## ~PdbMlParserHandler()

PdbMlParserHandler::~PdbMlParserHandler | ( |  | ) |

## Member Function Documentation

## characters()

void PdbMlParserHandler::characters | ( | const XMLCh *const | chars,
|  | const XMLSize_t | length )

## endElement()

void PdbMlParserHandler::endElement | ( | const XMLCh *const | uri,
|  | const XMLCh *const | localname,
|  | const XMLCh *const | qname )

## error()

void PdbMlParserHandler::error | ( | const SAXParseException & | exception | ) |

## fatalError()

void PdbMlParserHandler::fatalError | ( | const SAXParseException & | exception | ) |

## printState()

void PdbMlParserHandler::printState | ( | const string & | element | ) |

## startElement()

void PdbMlParserHandler::startElement | ( | const XMLCh *const | uri,
|  | const XMLCh *const | localname,
|  | const XMLCh *const | qname,
|  | const Attributes & | attrs )

## warning()

void PdbMlParserHandler::warning | ( | const SAXParseException & | exception | ) |

The documentation for this class was generated from the following file:

- rcsb/PdbMlParserHandler.h